package ir.android_studio.searchview;

import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.SearchView;
import android.widget.Toast;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    SearchView searchView;
    ListView listView;
    ArrayList list;
    ArrayAdapter adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        searchView = findViewById(R.id.search_view);
        listView = findViewById(R.id.list_view);

        list = new ArrayList<>();
        list.add("تهران");
        list.add("مشهد");
        list.add("فردوس");
        list.add("یزد");
        list.add("تبریز");
        list.add("اهواز");
        list.add("ساری");

        adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, list);
        listView.setAdapter(adapter);

        searchView.setOnQueryTextListener(new SearchView.OnQueryTextListener() {
            @Override
            public boolean onQueryTextSubmit(String s) {

                if(list.contains(s)){
                    adapter.getFilter().filter(s);
                }else{
                    Toast.makeText(MainActivity.this, "موردی یافت نشد", Toast.LENGTH_LONG).show();
                }

                return false;
            }

            @Override
            public boolean onQueryTextChange(String s) {

                adapter.getFilter().filter(s);

                return false;
            }
        });
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {

        MenuInflater mInflater = getMenuInflater();
        mInflater.inflate(R.menu.toolbar_searchview, menu);
        final SearchView toolbarSearchView = (SearchView) menu.findItem(R.id.toolbar_search).getActionView();
        toolbarSearchView.setQueryHint("جستجو");
        toolbarSearchView.setIconifiedByDefault(true);

        toolbarSearchView.setOnQueryTextListener(new SearchView.OnQueryTextListener() {
            @Override
            public boolean onQueryTextSubmit(String s) {

                if(list.contains(s)){
                    adapter.getFilter().filter(s);
                }else{
                    Toast.makeText(MainActivity.this, "موردی یافت نشد", Toast.LENGTH_LONG).show();
                }

                return false;
            }

            @Override
            public boolean onQueryTextChange(String s) {
                adapter.getFilter().filter(s);
                return false;
            }
        });

        return super.onCreateOptionsMenu(menu);
    }
}
